Skip to main content

PlayerConfiguration

Properties​

analyticsMetaData​

analyticsMetaData?: AnalyticsMetadata;

The analytics metadata of the stream.


android​

android?: AndroidPlayerConfiguration;

Player options specific to Android platform.


autoPlay​

autoPlay?: boolean;

Sets whether the player should start playback as soon as enough content has loaded to allow it to do so without interruption.


contentParameters​

contentParameters?: Object;

Sets the manifest header parameters.

Remarks​

Not supported on iOS/tvOS.


contentQueryParameters​

contentQueryParameters?: Object;

Sets the query parameters to add to content (manifest) requests.

Remarks​

Not supported on iOS/tvOS.


drmConfiguration​

drmConfiguration?: DrmTodayConfiguration | DrmTodayOnboardConfiguration | CustomDrmConfiguration;

The DRM configuration.

If the drmType is DRMTODAY, the configuration should be DrmTodayConfiguration. If the drmType is DRMTODAY_ONBOARD, the configuration should be DrmTodayOnboardConfiguration. If the drmType is CUSTOM, the configuration should be CustomDrmConfiguration.


drmSystem​

drmSystem?: DrmSystem;

The DRM system.


drmType​

drmType?: DrmType;

The DRM type.


forceInStreamDrmInitData​

forceInStreamDrmInitData?: boolean;

Sets whether to use DRM init data coming from segments or from the manifest.

Remarks​

Limited to DASH streams. Not supported on iOS/tvOS.


ignoreSilentSwitch​

ignoreSilentSwitch?: SilentSwitchBehaviour;

Specifies whether to ignore or obey the physical silent switch on Apple devices. If not defined, a default system behaviour is left.

Remarks​

Not supported on Android.


live​

live?: boolean;

Sets whether this is live content.


liveConfiguration​

liveConfiguration?: LiveConfiguration;

The live configuration to tweak live latency and others.


metaData​

metaData?: Metadata;

The metadata of the stream.


networkConfiguration​

networkConfiguration?: NetworkConfiguration;

The network configuration to tweak timeouts and retry options.


preferredAudioLanguage​

preferredAudioLanguage?: string;

The language code for the preferred audio language.


preferredTextLanguage​

preferredTextLanguage?: string;

The language code for the preferred text language. If this is specified, subtitles will be enabled at startup.


secondaryDisplayBehaviour​

secondaryDisplayBehaviour?: SecondaryDisplayBehaviour;

The behaviour of the player when a secondary display is connected. Defaults to SecondaryDisplayBehaviour.Never.


segmentParameters​

segmentParameters?: Object;

Sets the segment header parameters.

Remarks​

Not supported on iOS/tvOS.


segmentQueryParameters​

segmentQueryParameters?: Object;

Sets the segment query parameters.

Remarks​

Not supported on iOS/tvOS.


sideloadedTracks​

sideloadedTracks?: SideloadedTrack[];

The side-loaded thumbnail or text tracks


source​

source: string | Source | Source[];

The source to play.

If more than one source is available for the same content, the player will select the source best suited to the current device.

We recommend providing multiple sources for the same content when using Chromecast. Chromecast doesn't support protected HLS. Therefore, you'll need to provide protected HLS and DASH sources on iOS.


startTimeMs​

startTimeMs?: number;

The start time of the stream in milliseconds.


threesixty​

threesixty?: boolean;

Sets whether this is 360 content.


userId​

userId?: string;

Sets the user ID of the stream.